summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2019-06-06 16:04:23 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2019-06-06 17:06:07 +0200
commit8ea97068f86f7c38eb7eba7b4834d24395ea63c8 (patch)
tree1a99302b57a044d70ab6ffc235920f12cd030996 /kde-apps/dolphin-plugins-dropbox
parentdev-texlive/texlive-luatex: Add more blockers (diff)
downloadgentoo-8ea97068f86f7c38eb7eba7b4834d24395ea63c8.tar.gz
gentoo-8ea97068f86f7c38eb7eba7b4834d24395ea63c8.tar.bz2
gentoo-8ea97068f86f7c38eb7eba7b4834d24395ea63c8.zip
kde-apps: Add KDE Applications 19.04.2
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org> Package-Manager: Portage-2.3.66, Repoman-2.3.11
Diffstat (limited to 'kde-apps/dolphin-plugins-dropbox')
-rw-r--r--kde-apps/dolphin-plugins-dropbox/Manifest1
-rw-r--r--kde-apps/dolphin-plugins-dropbox/dolphin-plugins-dropbox-19.04.2.ebuild48
2 files changed, 49 insertions, 0 deletions
diff --git a/kde-apps/dolphin-plugins-dropbox/Manifest b/kde-apps/dolphin-plugins-dropbox/Manifest
index 0043593e3a8..1e26e3b4c54 100644
--- a/kde-apps/dolphin-plugins-dropbox/Manifest
+++ b/kde-apps/dolphin-plugins-dropbox/Manifest
@@ -1,2 +1,3 @@
DIST dolphin-plugins-18.12.3.tar.xz 191992 BLAKE2B 82dc3e03008949bc0af0c5938365b2d4dadbe8cafc0e7969e8c3a05804a53bfe6feb5e62e2f90f98940150709834472ff5b642681c7a6386b6362df8e4e75726 SHA512 a7d022652d80e832209c507b293c2701a8a3537d2b494e72c1e09dda9159751be8287991441869c0ce4cb8346c8c11fa537e94e06effb8e02d4f9f1fedaf9bf7
DIST dolphin-plugins-19.04.1.tar.xz 192444 BLAKE2B 88952f5e22154249dbc160a897c515ffd459165597e859d0ddff83cc57943fcf57dcc6ab8d2fefa60176ff72404c2fcea7312f3f378b4fcab39f6a92b1a4e9b9 SHA512 fe1115e7bf792874be46b4e4ee4915e9faa9e2b7d09b55c28c8b4a4f92d9f660b4db3b8804aa7b7fc359677fff1184100673ef4563181ac7ab67fedad6f5ea9c
+DIST dolphin-plugins-19.04.2.tar.xz 192500 BLAKE2B 3dbd10e7ed153b16defe11865aec676be064fff4ebf96f8217170a6d197fe83c0dbb884ef8f977f83a52dbc62282bc37e449f1f129c983d30cea0554f7724682 SHA512 2e1be6581a4d484daa0f1361df1fd6599423daab11522bc6665dcd682bd8b6da5aa732f28cdabc4fae76bf94216124c3c97ed3d3530a456643da5338fca4b815
diff --git a/kde-apps/dolphin-plugins-dropbox/dolphin-plugins-dropbox-19.04.2.ebuild b/kde-apps/dolphin-plugins-dropbox/dolphin-plugins-dropbox-19.04.2.ebuild
new file mode 100644
index 00000000000..a9451d74414
--- /dev/null
+++ b/kde-apps/dolphin-plugins-dropbox/dolphin-plugins-dropbox-19.04.2.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+KMNAME="dolphin-plugins"
+KDE_HANDBOOK="false"
+MY_PLUGIN_NAME="dropbox"
+inherit kde5
+
+DESCRIPTION="Dolphin plugin for Dropbox service integration"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kio)
+ $(add_frameworks_dep ktextwidgets)
+ $(add_frameworks_dep kxmlgui)
+ $(add_kdeapps_dep dolphin)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtnetwork)
+ $(add_qt_dep qtwidgets)
+"
+RDEPEND="${DEPEND}
+ !kde-apps/dolphin-plugins:5
+ net-misc/dropbox-cli
+"
+
+src_prepare() {
+ kde5_src_prepare
+ # delete non-${PN} translations
+ if [[ ${KDE_BUILD_TYPE} = release ]]; then
+ find po -type f -name "*po" -and -not -name "*${MY_PLUGIN_NAME}plugin" -delete || die
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_${MY_PLUGIN_NAME}=ON
+ -DBUILD_bazaar=OFF
+ -DBUILD_git=OFF
+ -DBUILD_hg=OFF
+ -DBUILD_svn=OFF
+ )
+ kde5_src_configure
+}